<template>
  <el-dialog
    title="工艺结构"
    width="80%"
    top="5vh"
    :close-on-click-modal="true"
    :visible.sync="visible"
    v-if="visible"
  >
    <div style="text-align: center; padding: 15px 15px;">
      <img
        width="70%"
        v-for="(image, index) in structureImages"
        :key="index"
        :src="image.url"
        alt=""
      />
    </div>
    <span slot="footer" class="dialog-footer">
      <el-button @click="visible = false">关闭</el-button>
    </span>
  </el-dialog>
</template>

<script>
import { getDocumentJgt } from '@/api/oa/technologyDocument'
import checkStandardTable from './checkStandardTable'
import RichText from '@/views/common/rich-text.vue'
export default {
  components: { checkStandardTable, RichText },
  data() {
    return {
      visible: false,
      structureImages: []
    }
  },
  methods: {
    init(x) {
      this.visible = true
      getDocumentJgt({ technologyDocumentId: x.technologyDocumentId }).then(
        (response) => {
          const jgts = response.data.data
          this.structureImages = []
          for (let i = 0; i < jgts.length; i++) {
            var aa = {
              id: jgts[i].id,
              name: '预览大图',
              url: '/mes/document/file/' + jgts[i].fileName
            }
            this.structureImages.push(aa)
          }
        }
      )
    }
  }
}
</script>

<style lang="scss">
.document-bom {
  background-color: #fff;
  width: 100%;
  height: 640px;
  border: 1px solid #ddd;
  padding: 10px 20px;
  box-sizing: border-box;
}

.document-bom .el-card__header {
  padding: 1px 20px;
  border-bottom: 0px solid #ebeef5;
}

.document-bom .el-card__body {
  height: calc(100% - 22px);
}

.document-bom .el-card__body .el-collapse {
  height: 100%;
  overflow: auto;
}
/*自定义disabled状态下checkbox的样式*/
.completeproductstructure-checkout
  .el-checkbox__input.is-disabled.is-checked
  .el-checkbox__inner {
  background-color: #006eff;
  border-color: #006eff;
}

.completeproductstructure-checkout
  .el-checkbox__input.is-disabled.is-checked
  + span.el-checkbox__label {
  color: #006eff;
  border-color: #006eff;
}

.completeproductstructure-checkout
  .el-checkbox__input.is-disabled
  .el-checkbox__inner {
  background-color: #ffffff;
  cursor: pointer;
}

.completeproductstructure-checkout
  .el-checkbox__input.is-disabled
  + span.el-checkbox__label {
  color: #606266;
  cursor: pointer;
}

.completeproductstructure-checkout .el-checkbox__inner::after {
  border: 1px solid #fff !important;
  border-left: 0 !important;
  border-top: 0 !important;
  cursor: pointer !important;
}
.highlight-tab-class {
  color: #006eff;
  background: #e4e7ed;
  border-top: 1px solid #006eff;
}
.unhighlight-tab-class {
  border: 1px solid #e4e7ed;
  border-bottom: none;
}
.document-bom-div {
  width: 100%;
  margin-bottom: 5px;
}
.structure-detail-table th.gutter {
  display: table-cell !important;
  width: 10px !important;
}

.structure-detail-table colgroup.gutter {
  display: table-cell !important;
  width: 10px !important;
}
.document-technology-div {
  width: 100%;
  margin-bottom: 5px;
  margin-right: 10px;
}

.document-technology-div .el-collapse {
  border-top: 0px;
  border-bottom: 0px;
}
</style>
